#include <iostream>
#include <cassert>
#include "array.h"

using namespace std;

void getArray(int *a, int &n)
{
    cout<<" N<"<<max_N<<endl;
    do {
        cin>>n;
    } while( n<1 || n>=max_N);

    cout<<" "<<n<<" "<<endl;
    for(int i=0; i<n; i++)
        cin>>a[i];
}

void printArray(const int *a, int n)
{
    assert(n>0 && n<max_N);
    for(int i=0; i<n; i++)
        cout<<a[i]<<" ";
    cout<<endl;
}


//     , 
//     . 
//   -     , 
//    .
int productOfPositiveAfterZero(const int *a, int n)
{
    assert(n>0 && n<max_N);

    int i = 0;
    while ( a[i] && i<n ) 
        i++;
    if ( i==n ) 
        throw "   ";

    int prod = 1;
    bool pos = 0;  // -   

    while ( i<n ) {
        if( a[i]>0 ) {
            prod *= a[i];
            pos = 1;
        }
        i++;
    }

    if( pos ) return prod;
    return 0;
}

//       , 
// .
void test_productofPositiveAfterZero()
{
    int a[] = {1, 0, 7, -1, 2, -3, 5};
    int n = 7;
    int result = 70;
    assert(productOfPositiveAfterZero(a,n) == result);

    a[0] = 0; a[1]=1;
    //{ 0, 1, 7, -1, 2, -3, 5}
    // c  
    assert(productOfPositiveAfterZero(a,n) == result);

    a[0] = 5; 
    a[6] = 0;
    //{ 5, 1, 7, -1, 2, -3, 0}
    //     
    assert(productOfPositiveAfterZero(a,n) == 0);

    a[6] = -1;
    //{ 5, 1, 7, -1, 2, -3, -1}
    // -  
    try {
        productOfPositiveAfterZero(a,n);
        assert(0);
    } catch (char *c) {
        assert(1);
    }

    cout<<"test : OK"<<endl;
}

int sumOfEvent(const int * a, int n)
{
	int s = 0;
	for (int i = 0; i < n; i++) {
		if(!(a[i]%2)){
			s += a[i];
		}
	}
	return s;
}
